> For the complete documentation index, see [llms.txt](https://docs.whiteintel.io/whiteintel-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/combolists-api/get-corporate-leaks-by-id-api.md).

# Get Corporate Leaks by Id API

Get Leaks by ID API

### Description

This API endpoint allows users to retrieve corporate leaks associated with given set of ids from combolist data sets.

### Endpoint

`POST /api/combolists/v2/get_corporate_leaks_by_id.php`

### Required Headers

| Name         | Description                       |
| ------------ | --------------------------------- |
| Content-Type | Must be set to `application/json` |

### Parameters

| Name   | Type   | Required | Default | Description                                    |
| ------ | ------ | -------- | ------- | ---------------------------------------------- |
| query  | string | Yes      | N/A     | The query to search for leaks (e.g domain.com) |
| apikey | string | Yes      | N/A     | Your API key.                                  |
| ids    | array  | Yes      | N/A     | Array of ID values to retrieve results.        |

{% hint style="warning" %}
Maximum length of array is 100 items.
{% endhint %}

### Sample Request

#### Request URL

POST /api/combolists/v2/get\_corporate\_leaks\_by\_id.php

```json
{
    "query": "exampledomain.com",
    "ids": [876971,26021309,36311149,503078514]
    
}
```

#### Example Success Response

```json
{"results":[{"id":876971,"url":"","username":"","password":""}],"remaining_calls":470}
```

#### Example Error Response

```json
{"error":"Invalid type."}
```

### Code Examples

Example with Curl

```bash
curl -X POST https://whiteintel.io/api/combolists/v2/get_corporate_leaks_by_id.php \
     -H "Content-Type: application/json" \
     -d '{
           "apikey": "yourapikey",
           "query": "exampledomain.com",
           "ids": [876971,26021309,36311149,503078514]
           
         }'
```

Example with Python

```python

import requests

url = "https://whiteintel.io/api/combolists/v2/get_corporate_leaks_by_id.php"
payload = {
    "apikey": "yourapikey",
    "query": "exampledomain.com",
    "ids": [876971,26021309,36311149,503078514]
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

if response.status_code == 200:
    print("Response:", response.json())
else:
    print("Failed to retrieve customer leaks by id:", response.status_code, response.text)

```
